Distribution:	CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		dasher
Version:	4.10.1
Release:	1
BuildArch:	i686
License:	GNU/GPLv2
URL:		http://www.gnome.org
Group:		User Interface/Desktops
Summary:	GNOME Accessibility method
BuildRoot:	%{_tmppath}/%{name}-buildroot

# Sources:
Source:		%{name}-%{version}.tar.bz2

#Automatically resolved build dependencies
BuildRequires: atk-devel
BuildRequires: at-spi-devel
BuildRequires: cairo-devel
BuildRequires: expat-devel
BuildRequires: fontconfig-devel
BuildRequires: freetype-devel
BuildRequires: GConf-devel
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: gnome-vfs-devel
BuildRequires: gtk2+-devel
BuildRequires: libart_lgpl-devel
BuildRequires: libbonobo-devel
BuildRequires: libbonoboui-devel
BuildRequires: libgcc
BuildRequires: libglade-devel
BuildRequires: libgnomecanvas-devel
BuildRequires: libgnome-devel
BuildRequires: libgnomeui-devel
BuildRequires: libICE-devel
BuildRequires: libSM-devel
BuildRequires: libstdc++-devel
BuildRequires: libX11-devel
BuildRequires: libxml2-devel
BuildRequires: libXtst-devel
BuildRequires: ORBit2-devel
BuildRequires: pango-devel
BuildRequires: popt-devel
BuildRequires: zlib-devel gnome-doc-utils

%description
Accessibility input method

%post
/usr/bin/scrollkeeper-update -q
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %_sysconfdir/gconf/schemas/dasher.schemas > /dev/null
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi

%pre
if [ "$1" -gt 1 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %_sysconfdir/gconf/schemas/dasher.schemas > /dev/null || :
fi

%preun
if [ "$1" -eq 0 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %_sysconfdir/gconf/schemas/dasher.schemas > /dev/null || :
fi

%postun
/usr/bin/scrollkeeper-update -q
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi

%prep
%setup -n %{name}-%{version}

%build
%configure --disable-debug

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

%find_lang %{name} --all-name --with-gnome

# remove unwanted stuff
rm -rf $RPM_BUILD_ROOT/var/scrollkeeper
rm -rf $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/icon-theme.cache

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING README NEWS
%_datadir/%{name}
%_datadir/icons
%dir %_datadir/omf/dasher
%_applications
%_bindir
%_mandir
%_sysconfdir/gconf/schemas/dasher.schemas

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Nov 23 2009 Christian Metzen <metzench@ccux-linux.de> 4.10.1-1
- Version update
* Sun Apr 05 2009 Christian Wasem <wasem@ccux-linux.de> 4.10.0-1
- initial CCux package release
